# Uses of Interface
javax.xml.stream.XMLEventWriter

Packages that use XMLEventWriter
Package
Description
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.transform.stax
Provides StAX specific transformation classes.

## Uses of XMLEventWriter in javax.xml.stream

Methods in javax.xml.stream that return XMLEventWriter
Modifier and Type
Method
Description
`abstract XMLEventWriter`
XMLOutputFactory.`createXMLEventWriter(OutputStream stream)`
Create a new XMLEventWriter that writes to a stream
`abstract XMLEventWriter`
XMLOutputFactory.`createXMLEventWriter(OutputStream stream, String encoding)`
Create a new XMLEventWriter that writes to a stream
`abstract XMLEventWriter`
XMLOutputFactory.`createXMLEventWriter(Writer stream)`
Create a new XMLEventWriter that writes to a writer
`abstract XMLEventWriter`
XMLOutputFactory.`createXMLEventWriter(Result result)`
Create a new XMLEventWriter that writes to a JAXP result.

## Uses of XMLEventWriter in javax.xml.transform.stax

Methods in javax.xml.transform.stax that return XMLEventWriter
Modifier and Type
Method
Description
`XMLEventWriter`
StAXResult.`getXMLEventWriter()`
Get the `XMLEventWriter` used by this `StAXResult`.
Constructors in javax.xml.transform.stax with parameters of type XMLEventWriter
Modifier
Constructor
Description
``
`StAXResult(XMLEventWriter xmlEventWriter)`
Creates a new instance of a `StAXResult` by supplying an `XMLEventWriter`.